# /*
# Copyright 2016 Paul Hänsch
#
# This file is part of Confetti.
# 
# Confetti is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Confetti is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with Confetti.  If not, see <http://www.gnu.org/licenses/>. 

. ${0%/*}/attendees.css.sh

cat <<EOF
/**/

.prescription {
  display: inline-block;
  width: 96%; max-width: 460px;
  color: #800;
  background-color: #CFF;
  margin: 1em -1% 0 2%; padding: 0;
  border: 1px solid #888;
  overflow: hidden;
}

.newprescription {
  display: block;
  margin: 0 2em; padding: .5ex 2ex;
  background-color: #CFF;
  border: 1px solid #888;
  border-radius: 0 0 1ex 1ex;
}

.prescription * {
  display: inline-block;
  font-size: 1em;
  line-height: 1em;
  margin: 0; padding: 0;
}
.prescription label {
  padding-left: .5ex;
  font-size: .75em;
}

.prescription table {display: block; width: 100%; border-collapse: collapse;}
.prescription table tbody {width: 100%; margin: 0 auto;}
.prescription table tr {display: table-row; width: 100%; margin: 0 auto;}
.prescription table tr th,
.prescription table tr td {
  display: table-cell;
  text-align: left;
  padding: .25ex 1ex;
  border-left: 1px solid red;
}
.prescription table tr th { padding: .25em 1ex; border-bottom: 1px solid red;}
.prescription table tr th:nth-of-type(1),
.prescription table tr td:nth-of-type(1) { border-left: none;}

td.private  {background-color: #BFB;}
td.selfpaid {background-color: #FFB;}
td.compulsory.doctor {background-color: #BBF;}
td.compulsory.dentist {background-color: #FBB;}
td.altpractition { background-color: #FBF;}

.prescription fieldset {
  display: inline-block;
  margin: 0; padding: 1ex;
  margin-right: -.625ex;
  border: none;
  vertical-align: top;
}
.prescription fieldset br { display: none;}

.prescription span,
.prescription input,
.prescription textarea {
  height: 1.5em;
  border: 1px solid #800;
  padding: .25ex;
  background-color: #FFF;
}
.prescription span {
  background-color: #EEE;
  padding: .5ex .25ex;
  white-space: pre-wrap;
  font-size: .75em;
  overflow: hidden;
}

.prescription input[type=checkbox],
.prescription input[type=radio] { display: none;}

.prescription label.checkbox,
.prescription label.radio,
.prescription input[type=checkbox] + label,
.prescription input[type=radio] + label { padding-left: 1.25em; font-size: 1em;}

.prescription label.checkbox:before,
.prescription label.radio:before,
.prescription input[type=checkbox] + label:before,
.prescription input[type=radio] + label:before {
  display: inline-block;
  position: absolute;
  margin-left: -1.25em;
  width: .75em; height: .75em;
  background-color: #FFF;
  border: 1px solid #800;
  content: ' ';
}
.prescription label.radio:before,
.prescription input[type=radio] + label:before { border-radius: .5em;}
.prescription label.checkbox.checked:before,
.prescription label.radio.checked:before,
.prescription input[type=checkbox]:checked + label:before,
.prescription input[type=radio]:checked + label:before { content: "\2713";}

.prescription a.button,
.prescription input[type=submit],
.prescription button {
  height: 1.5em;
  color: #FFF;
  background-color: #800;
  text-align: center;
  text-decoration: none;
  margin: 0; padding: .125em 0 0 0;
  border: none;
}
.prescription a.button {padding: .5ex;}

/* ======== Specific ========== */

.prescription .baseinfo { width: 60%;}

  .baseinfo label[for=insurance],
  .baseinfo #insurance { width: 100%; }
 
  .baseinfo label[for=name],
  .baseinfo #name { width: 65%; margin-right: -.875ex;}
  .baseinfo #name { height: 4em; }
 
  .baseinfo label[for=bday],
  .baseinfo #bday { width: 35%;}
  .baseinfo #bday { height: 4em; text-align: center; vertical-align: top;}
 
  .baseinfo label[for=date],
  .baseinfo #date { width: 34%; margin-left: 65%;}
  .baseinfo #date { text-align: right;}

.prescription .misc { width: 40%; }

  .misc h1 {
    font-size: 1.25em;
    font-weight: bold;
    width: 100%;
  }
  .misc label[for=addcontrib],
  .misc label[for=contribconfirm] {width: 100%;}
  .misc #addcontrib,
  .misc #contribconfirm {width: 100%; text-align: right;}

.prescription label[for=prescreviewed] {
  margin-left: 1ex;
  font-weight: bold;
  text-decoration: underline;
  background-color: #FCC;
}
.prescription label[for=prescreviewed].checked,
.prescription :checked + label[for=prescreviewed] {
  font-weight: normal;
  text-decoration: none;
  background-color: #CFF;
}

.prescription .catalogue { width: 100%; }

  .catalogue h2:nth-of-type(1) {
    font-weight: bold;
    width: 100%;
    margin-bottom: .25em;
  }
  .catalogue label {
    display: inline-block;
    width: 33%;
    margin-right: -.625ex;
    margin-top: .25em;
    vertical-align: top;
  }
  .catalogue label[for=presccontinual] { margin-right: 33%;}

.prescription .description { width: 100%; position: relative;}
  .description * { margin-right: -.625ex; vertical-align: top; }
  .description label {vertical-align: bottom;}
  .description label[for=quantity1],
  .description label[for=remidy1],
  .description label[for=quantity_weekly1] {display: none;}

  .description label[for=quantity] { width: 20%;}
  .description #quantity,
  .description #quantity1 { width: 20%;  height: 3em; text-align: center;}
  .description label[for=remidy] { width: 60%; }
  .description #remidy,
  .description #remidy1 { width: 60%; height: 3em;}
  .description label[for=quantity_weekly] { width: 20%;}
  .description #quantity_weekly,
  .description #quantity_weekly1 { width: 20%; height: 3em; text-align: center;}

  .description .indicator_codes {display: inline-block; width: 20%; padding: 0; padding-top: 1.5ex;}
  .description label[for=indicator],
  .description label[for=icd10] { display: block; width: 100%;}
  .description #icd10,
  .description #indicator {width: 100%; text-align: right;}

  .description .indicator_reading { display: inline-block; width: 78%; padding: 0; padding-top: 1.5ex;  margin-left: 2%;}
  .description label[for=indicator_reading],
  .description #indicator_reading { width: 100%; display: block;}
  .description #indicator_reading { height: 4em;}

.prescription .controls { width: 100%; }
  .controls a.button,
  .controls button[value=save],
  .controls button[value=cancel],
  .controls button[value=delete] { width: 25%;}

EOF

# vi:set filetype=css:
